
/*

	BuzzClock

	 1997 Steve Klingsporn
	moofie@pdicamillo.ne.highway1.com (temporary)

	    File:  TClockApplication.cpp

	Contains:  Implementation of clock application class

	   Notes:  Version 1.1

*/

#ifndef _TCLOCKAPPLICATION_H
#include "TClockApplication.h"
#endif

#ifndef _TCLOCKWINDOW_H
#include "TClockWindow.h"
#endif

#ifndef _TCLOCKVIEW_H
#include "TClockView.h"
#endif


/**
	main()
	
	Creates an instance of our application object and starts
	it running.
**/

int main()
{
	TClockApplication	*application;
	
	application = new TClockApplication();
	application->Run();
	
	delete(application);
	return B_NO_ERROR;
}


/**
	TClockApplication()
	
	Constructor.
**/

TClockApplication::TClockApplication()
				  :BApplication(kApplicationSignature)
{
}


/**
	ReadyToRun()
	
	Creates the clock window and positions it in the
	upper right-hand corner.
**/

void TClockApplication::ReadyToRun()
{	
	_clockWindow = new TClockWindow(kClockWindowFrame);
	_clockWindow->MoveWindowToCorner();
	_clockWindow->Show();
}


/**
	AboutRequested()
	
	Shows the about alert.
**/

void TClockApplication::AboutRequested()
{
	BAlert	*about;
	
	char	message[255];
		
	strcpy(message, "\nBuzzClock\nA simple clock application\n\n 1997 Steve Klingsporn\nmoofie@pdicamillo.ne.highway1.com\n\nVersion 1.1 (DR8)");

	about = new BAlert("", message, "OK", NULL, NULL, B_WIDTH_AS_USUAL, B_INFO_ALERT);
	about->SetShortcut(0, B_ENTER);
	about->Go();
}


/**
	MenusWillShow()
	
	Adjusts the main menu items.
**/

void TClockApplication::MenusWillShow()
{
	((TClockView *)_clockWindow->ChildAt(0))->AdjustMenuItems();
}
	